# functions needed to format data & results and make plots 

probPlot <- function(map, edgelines, y, n.col, add, col.pal){
  require(classInt)
  polylist <- map@polygons
  br <- c(0, 0.4, 0.6, 0.9, 1)
  y.grp <- findInterval(y, vec=br, rightmost.closed = TRUE, all.inside = TRUE)
  y.shad <- col.pal[y.grp]
  linewd <- y.grp + 1

  plot(map, axes=F, auxvar=Y, add=add)
  
  for (i in 1:length(edgelines)){
    lines(as.matrix(edgelines[[i]]),col=y.shad[i],lwd=linewd[i])
  }
}


#functions to calculate boundary probs at different thresholds
cut.func.1years <- function(x){
    c.ind<-as.numeric(x>12)
    return(c.ind)}

cut.func.2years <- function(x){
    c.ind<-as.numeric(x>24)
    return(c.ind)}

cut.func.3years <- function(x){
    c.ind<-as.numeric(x>36)
    return(c.ind)}

cut.func.4years <- function(x){
    c.ind<-as.numeric(x>48)
    return(c.ind)}

cut.func.5years <- function(x){
    c.ind<-as.numeric(x>60)
    return(c.ind)}

cut.func.6years <- function(x){
    c.ind<-as.numeric(x>72)
    return(c.ind)}

cut.func.8years <- function(x){
    c.ind<-as.numeric(x>96)
    return(c.ind)}

cut.func.10years <- function(x){
    c.ind<-as.numeric(x>120)
    return(c.ind)}
    
# functions need to calculate deltas across boundries
delta.calculate <- function(x, ind1, ind2, n){
  delta<-rep(0,n)
  for (k in 1:n){
    i <- ind1[k]
    j <- ind2[k]
    delta[k] <- x[j] - x[i]
  }
  return(delta)
}

weight.calculate <- function(x, ind1, ind2, n){
  delta<-rep(0,n)
  for (k in 1:n){
    i <- ind1[k]
    j <- ind2[k]
    delta[k] <- x[j] - x[i]
  }
  return(delta)
}